package com.bluefairygames.java.libgdx.gameframework.utils;

import com.badlogic.gdx.Input.Keys;
import com.badlogic.gdx.math.Vector3;

public final class Constants {

	// SplasScreen
	public static final float SPLASH_DURATION = 1.5f;
	public static final Vector3 CLEAR_COLOR = new Vector3(0.0f, 0.0f, 0.0f);
	
	// GameplayScreen
	public static final float DELTA = 0.01f;
	
	// GameplayInput
	public static final int KEY_FORWARD = Keys.UP;
	public static final int KEY_BACKWARD = Keys.DOWN;
	public static final int KEY_LEFT = Keys.LEFT;
	public static final int KEY_RIGHT = Keys.RIGHT;
	
	// Blackboard
	public static final String OBJECT_NAME_PLAYER = "player";
	
	// Game
	public static final int SCREEN_WIDTH = 1000;
	public static final int SCREEN_HEIGHT = 900;
}
